ApiBilling
Get monthly rating breakdown
Returns a monthly breakdown of usage-based rating (does not include discounts, taxes, or other adjustments).
Provide exactly one of year or month.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Query Parameters
year?integer
Calendar year to return monthly totals for. Mutually exclusive with month.
Range
2020 <= value <= 2100month?string
Single month in YYYY-MM format. Mutually exclusive with year.
Match
^\d{4}-\d{2}$currency?string
Currency for returned totals.
Value in
- "DZD"
- "USD"
- "EUR"
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/billing/rating/monthly"{ "months": [ { "month": "2026-06", "total": "18.40", "categories": { "property1": "string", "property2": "string" }, "currency": "USD", "is_current": false } ], "currency": "USD"}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}